Skip to content

Events

/inpa.cgi?event

Add an event entry.

GET /inpa.cgi?event=A*B*C*D*E*F*G*H*I*J*K*L
  • A is the item to be set, integer 0-19
  • B, H are inputs (sources) for conditions, integer 0-26, 50-67

    {
        "0": "VCC",
        "1": "INPA1",
        "2": "INPA2",
        "3": "INPA3",
        "4": "INPA4",
        "5": "INPA5",
        "6": "INPA6",
        "7": "TEMP",
        "8": "T1",
        "9": "H1",
        "10": "DS1",
        "11": "DS2",
        "12": "DS3",
        "13": "DS4",
        "14": "DS5",
        "15": "DS6",
        "16": "DIFF1",
        "17": "DIFF2",
        "18": "P1",
        "19": "CO2",
        "20": "PM2.5",
        "21": "PM10.0",
        "22": "DS7",
        "23": "DS8",
        "24": "PM1.0",
        "25": "PM4.0",
        "26": "DIFF3",
        "50": "INPD1",
        "51": "INPD2",
        "52": "INPD3",
        "53": "INPD4",
        "54": "EVENT1",
        "55": "EVENT2",
        "56": "EVENT3",
        "57": "EVENT4",
        "58": "OUT0",
        "59": "OUT1",
        "60": "OUT2",
        "61": "OUT3",
        "62": "OUT4",
        "63": "OUT5",
        "64": "EVENT5",
        "65": "EVENT6",
        "66": "EVENT7",
        "67": "EVENT8",
    }
    
  • C, I are values for If for conditions, 0|1|= (0 - >=, 1 - <)

  • D, J are reference values for conditions, integer (0-1 for digital source, value multiplied by 100 for analog source)
  • E, K are hysteresis for conditions, integer (value multiplied by 100)
  • F is operator between conditions, integer 0-5

    {
        "0": "-",
        "1": "AND",
        "2": "OR",
        "3": "NAND",
        "4": "NOR",
        "5": "XOR",
    }
    
  • G is action to take, integer 0-43, 49-56

    {
        "0": "OUT0=0",
        "1": "OUT0=1",
        "2": "OUT1=0",
        "3": "OUT1=1",
        "4": "OUT2=0",
        "5": "OUT2=1",
        "6": "OUT3=0",
        "7": "OUT3=1",
        "8": "OUT4=0",
        "9": "OUT4=1",
        "10": "OUT5=0",
        "11": "OUT5=1",
        "12": "PWM0=0",
        "13": "PWM0=1",
        "14": "PWM1=0",
        "15": "PWM1=1",
        "16": "PWM2=0",
        "17": "PWM2=1",
        "18": "PWM3=0",
        "19": "PWM3=1",
        "20": "http1",
        "21": "http2",
        "22": "http3",
        "23": "http4",
        "24": "eMail",
        "25": "SNMP trap",
        "26": "SMS1",
        "27": "SMS2",
        "28": "SMS3",
        "29": "SMS4",
        "30": "EVENT5=0",
        "31": "EVENT5=1",
        "32": "EVENT6=0",
        "33": "EVENT6=1",
        "34": "EVENT7=0",
        "35": "EVENT7=1",
        "36": "EVENT8=0",
        "37": "EVENT8=1",
        "38": "AutoSwitch_OUT0",
        "39": "AutoSwitch_OUT1",
        "40": "AutoSwitch_OUT2",
        "41": "AutoSwitch_OUT3",
        "42": "AutoSwitch_OUT4",
        "43": "AutoSwitch_OUT5",
        "49": "EVENT1=0",
        "50": "EVENT1=1",
        "51": "EVENT2=0",
        "52": "EVENT2=1",
        "53": "EVENT3=0",
        "54": "EVENT3=1",
        "55": "EVENT4=0",
        "56": "EVENT4=1",
    }
    
  • L is the delay in seconds after which the action will be performed, if the result of the condition was stable, integer

Example:

http://192.168.1.100/inpa.cgi?event=4*0*0*1000*100*0*0*0*0*1000*100*0

/inpa.cgi?eventper

Make event entry permanent (execution).

GET /inpa.cgi?eventper=A*B
  • A is index of entry, integer 0-19
  • B determines whether the function is enabled, integer 0-1

Example:

http://192.168.1.100/inpa.cgi?eventper=0*1

/inpa.cgi?eventon

Enable the event entry.

GET /inpa.cgi?eventon=A*B
  • A is index of entry, integer 0-19
  • B determines whether the function is enabled, integer 0-1

Example:

http://192.168.1.100/inpa.cgi?eventon=0*1

/inpa.cgi?eventdel

Delete event entry.

GET /inpa.cgi?eventdel=A
  • A is index of entry, integer 0-19

Important

Deleting an item will move all subsequent items. For example, when you delete an item in position 4, the item in position 5 will be moved to position 4, 6 to 5, etc.

Example:

http://192.168.1.100/inpa.cgi?eventdel=0